<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="mapper.LinkPrcsParaMapper">

    <delete id="deleteLinkParaStup">
        DELETE TB_LINK_PARA_STUP
    </delete>

    <insert id="insertLinkParaStup" parameterType="java.util.Map">
        INSERT INTO TB_LINK_PARA_STUP (LINK_ID, FLTR_MTHD_CD, FUSN_MTHD_CD, ADJS_MTHD_CD, SMTH_MTHD_CD)
        VALUES (#{LINK_ID}, #{FLTR_MTHD_CD}, #{FUSN_MTHD_CD}, #{ADJS_MTHD_CD}, #{SMTH_MTHD_CD})
    </insert>

    <delete id="deleteLinkParaDetl">
        DELETE TB_LINK_PARA_DETL
    </delete>

    <insert id="insertLinkParaDetl" parameterType="java.util.Map">
        INSERT INTO TB_LINK_PARA_DETL (LINK_ID, FLTR_MIN_TFVL, FLTR_MAX_TFVL, FLTR_LWST_SPED, FLTR_HGHS_SPED,
                                       ADJS_WGHT_AVRG_PRE_1CYCL, ADJS_WGHT_AVRG_PRE_2CYCL, ADJS_WGHT_AVRG_PRE_3CYCL,
                                       ADJS_PTRN_15M_APLY_YN, ADJS_SHTR_MISS_DECS_CYCL,
                                       SMTH_LWST_SPED_FCTR, SMTH_HGHS_SPED_FCTR, SMTH_WGHT_AVRG_PRST,
                                       SMTH_WGHT_AVRG_PRE_1CYCL, SMTH_WGHT_AVRG_PRE_2CYCL)
        VALUES (#{LINK_ID}, #{FLTR_MIN_TFVL}, #{FLTR_MAX_TFVL}, #{FLTR_LWST_SPED}, #{FLTR_HGHS_SPED},
                #{ADJS_WGHT_AVRG_PRE_1CYCL}, #{ADJS_WGHT_AVRG_PRE_2CYCL}, #{ADJS_WGHT_AVRG_PRE_3CYCL},
                #{ADJS_PTRN_15M_APLY_YN}, #{ADJS_SHTR_MISS_DECS_CYCL},
                #{SMTH_LWST_SPED_FCTR}, #{SMTH_HGHS_SPED_FCTR}, #{SMTH_WGHT_AVRG_PRST},
                #{SMTH_WGHT_AVRG_PRE_1CYCL}, #{SMTH_WGHT_AVRG_PRE_2CYCL})
    </insert>

    <delete id="deleteLinkParaClctSyst">
        DELETE TB_LINK_PARA_CLCT_SYST
    </delete>

    <insert id="insertLinkParaClctSyst" parameterType="java.util.Map">
        INSERT INTO TB_LINK_PARA_CLCT_SYST (LINK_ID, CLCT_SYST_CD, FUSN_PRRT, FUSN_WGHT)
                                    VALUES (#{LINK_ID}, #{CLCT_SYST_CD}, #{FUSN_PRRT}, #{FUSN_WGHT})
    </insert>

</mapper>
